aboutsummaryrefslogtreecommitdiffstats
path: root/main/thunar/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/thunar/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/thunar/APKBUILD')
-rw-r--r--main/thunar/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/main/thunar/APKBUILD b/main/thunar/APKBUILD
new file mode 100644
index 0000000000..2dde6a57f9
--- /dev/null
+++ b/main/thunar/APKBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=thunar
+pkgver=1.0.1
+pkgrel=4
+pkgdesc="File manager for Xfce"
+url="http://thunar.xfce.org"
+license="GPL2 LGPL2"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="desktop-file-utils hicolor-icon-theme"
+makedepends="pkgconfig libexif-dev xfce4-panel-dev exo-dev pcre-dev
+ intltool gettext-dev libiconv-dev expat-dev startup-notification-dev
+ libsm-dev e2fsprogs-dev gamin-dev libexif-dev"
+install=
+source="http://archive.xfce.org/src/xfce/thunar/${pkgver%.*}/Thunar-$pkgver.tar.bz2"
+
+depends_dev="exo-dev glib-dev gamin-dev"
+_builddir="$srcdir"/Thunar-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-gnome-thumbnailers \
+ --enable-exif \
+ --enable-pcre
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ sed -i 's:x-directory/gnome-default-handler;::' "$pkgdir"/usr/share/applications/Thunar-folder-handler.desktop
+}
+
+md5sums="218373aa45d74b6ba8c69c4d5af3bb19 Thunar-1.0.1.tar.bz2"